# -*- coding: utf-8 -*-
import logging  
   
# #Ak代理人生单日志记录
# class AkAgOrderLog():
#  
#     def __init__(self):
#         self.logger = logging.getLogger(__name__)
#         self.logger.setLevel(level = logging.INFO)
#         handler = logging.FileHandler("E://Book.log")
#         handler.setLevel(logging.INFO)
#         formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
#         handler.setFormatter(formatter)
#         console = logging.StreamHandler()
#         console.setLevel(logging.INFO)
#         self.logger.addHandler(console)
#         self.logger.addHandler(handler)
#         
# #         self.logger.info("Start print log")
# #         self.logger.debug("Do something")
# #         self.logger.warning("Something maybe fail.")
# #         self.logger.info("Finish")
#     #WebBig查询日志记录
#     def WebBigQueryLog(self,msg):
#         self.logger.info(msg)
#         
# if __name__ == '__main__':
#     lg = AkAgOrderLog()
#     lg.WebBigQueryLog('111111111111111111111111111我就测试一下')






import logging, logging.handlers
import time

'''
TimedRotatingFileHandler构造函数声明
class logging.handlers.TimedRotatingFileHandler(filename, when='h', interval=1, backupCount=0, encoding=None, delay=False, utc=False, atTime=None)
filename    日志文件名前缀
when        日志名变更时间单位
    'S' Seconds
    'M' Minutes
    'H' Hours
    'D' Days
    'W0'-'W6' Weekday (0=Monday)
    'midnight' Roll over at midnight
interval    间隔时间，是指等待N个when单位的时间后，自动重建文件
backupCount 保留日志最大文件数，超过限制，删除最先创建的文件；默认值0，表示不限制。
delay       延迟文件创建，直到第一次调用emit()方法创建日志文件
atTime      在指定的时间（datetime.time格式）创建日志文件。
'''

def test_TimedRotatingFileHandler():
    # 定义日志输出格式
    fmt_str = '%(asctime)s[level-%(levelname)s][%(name)s]:%(message)s'
    # 初始化
    logging.basicConfig()

    # 创建TimedRotatingFileHandler处理对象
    # 间隔5(S)创建新的名称为myLog%Y%m%d_%H%M%S.log的文件，并一直占用myLog文件。
    fileshandle = logging.handlers.TimedRotatingFileHandler('myLog', when='S', interval=5, backupCount=3)
    # 设置日志文件后缀，以当前时间作为日志文件后缀名。
    fileshandle.suffix = "%Y%m%d_%H%M%S.log"
    # 设置日志输出级别和格式
    fileshandle.setLevel(logging.DEBUG)
    formatter = logging.Formatter(fmt_str)
    fileshandle.setFormatter(formatter)
    # 添加到日志处理对象集合
    logging.getLogger('').addHandler(fileshandle)

if __name__ == '__main__':
    test_TimedRotatingFileHandler()

    # 测试在200s内创建文件多个日志文件
    for i in range(0, 100):
        logging.debug("logging.debug")
        logging.info("logging.info")
        logging.warning("logging.warning")
        logging.error("logging.error")
        time.sleep(2)





